Bug 2229 - Unable to update utmp
: Unable to update utmp
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gnome-terminal)
: unstable
: all Linux
: P5 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-02-12 20:10 by
Modified: 2005-08-29 02:21 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-02-12 20:10:19
То, что у gnome-pty-helper отобрали setgid utmp -- уход от проблемы. Нужно
переделать под utempter либо helper, либо сам gnome-terminal.
---

---
------- Comment #1 From 2003-02-12 20:38:20 -------
Еще раз позволю себе заметить, что в достаточно большом количестве случаев (не
только у меня) мусор в *tmp, порожденный активной работой в существенном и
изменяющемся количестве *term -- способен только помешать наблюдать реальную
картину вхождений в систему.

Как-то бы это разрулить в общем виде.

edited on: 12-02 20:39
------- Comment #2 From 2003-02-12 20:38:20 -------
Еще раз позволю себе заметить, что в достаточно большом количестве случаев (не
только у меня) мусор в *tmp, порожденный активной работой в существенном и
изменяющемся количестве *term -- способен только помешать наблюдать реальную
картину вхождений в систему.

Как-то бы это разрулить в общем виде.

edited on: 12-02 20:39
------- Comment #3 From 2003-02-18 18:37:35 -------
2mike: для того, чтобы отключить обновление utmp, измените соответствующую
настройки в профиле по умолчанию (и/или других профилях).
Сейчас же положительное значение этой настройки не работает.
------- Comment #4 From 2003-02-18 18:37:35 -------
2mike: для того, чтобы отключить обновление utmp, измените соответствующую
настройки в профиле по умолчанию (и/или других профилях).
Сейчас же положительное значение этой настройки не работает.
------- Comment #5 From 2004-04-04 15:13:16 -------
В libvte >= 0.11.10-alt1 сделан utempter патч.
gnome-terminal в vte-сборке обновляет utmp/wtmp как нефиг делать :)
------- Comment #6 From 2004-06-02 14:20:06 -------
(In reply to comment #5)
> В libvte >= 0.11.10-alt1 сделан utempter патч.
> gnome-terminal в vte-сборке обновляет utmp/wtmp как нефиг делать :)

Да-да. Fixed